LibreOffice: XFetchProviderForContentAccess Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XFetchProviderForContentAccess Interface Referencepublished

provides the possibility to load information offered by a XContentAccess for several rows of a ContentResultSet with a single function call. More...

Inheritance diagram for XFetchProviderForContentAccess:

## Public Member Functions
com::sun::star::ucb::FetchResult | fetchContentIdentifierStrings ([in] long nRowStartPosition, [in] long nRowCount, [in] boolean bDirection)
| returns the content identifier strings of the columns of the indicated rows More...
com::sun::star::ucb::FetchResult | fetchContentIdentifiers ([in] long nRowStartPosition, [in] long nRowCount, [in] boolean bDirection)
| returns the XContentIdentifiers of the columns of the indicated rows More...
com::sun::star::ucb::FetchResult | fetchContents ([in] long nRowStartPosition, [in] long nRowCount, [in] boolean bDirection)
| returns the XContent s of the columns of the indicated rows More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides the possibility to load information offered by a XContentAccess for several rows of a ContentResultSet with a single function call.

## Member Function Documentation

## ◆ fetchContentIdentifiers()

com::sun::star::ucb::FetchResult fetchContentIdentifiers | ( | [in] long | nRowStartPosition,
|  | [in] long | nRowCount,
|  | [in] boolean | bDirection
| ) |  |

returns the XContentIdentifiers of the columns of the indicated rows

Returns
  FetchResult::Rows contains a sequence of anys. Each of these anys contains an XContentIdentifier.

Parameters

  nRowStartPosition | the starting row of the result set
  nRowCount | the count of rows
  bDirection | `TRUE`, if you want the rows to be read in the same order, as they are contained in the result set ( `TRUE` <-> forward step; `FALSE` <-> backward step )

## ◆ fetchContentIdentifierStrings()

com::sun::star::ucb::FetchResult fetchContentIdentifierStrings | ( | [in] long | nRowStartPosition,
|  | [in] long | nRowCount,
|  | [in] boolean | bDirection
| ) |  |

returns the content identifier strings of the columns of the indicated rows

Returns
  FetchResult::Rows contains a sequence of anys. Each of these anys contains a string.

Parameters

  nRowStartPosition | the starting row of the result set
  nRowCount | the count of rows
  bDirection | `TRUE`, if you want the rows to be read in the same order, as they are contained in the result set ( `TRUE` <-> forward step; `FALSE` <-> backward step )

## ◆ fetchContents()

com::sun::star::ucb::FetchResult fetchContents | ( | [in] long | nRowStartPosition,
|  | [in] long | nRowCount,
|  | [in] boolean | bDirection
| ) |  |

returns the XContent s of the columns of the indicated rows

Returns
  FetchResult::Rows contains a sequence of anys. Each of these anys contains an XContent.

Parameters

  nRowStartPosition | the starting row of the result set
  nRowCount | the count of rows
  bDirection | `TRUE`, if you want the rows to be read in the same order, as they are contained in the result set ( `TRUE` <-> forward step; `FALSE` <-> backward step )

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XFetchProviderForContentAccess.idl